DCMTK: DcmQueryRetrieveFindContext Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmQueryRetrieveFindContext Class Reference

this class maintains the context information that is passed to the callback function called by DIMSE_findProvider. More...

## Public Member Functions
| DcmQueryRetrieveFindContext (DcmQueryRetrieveDatabaseHandle &handle, const DcmQueryRetrieveOptions &options, DIC_US priorStat, const DcmQueryRetrieveCharacterSetOptions &charSetOptions)
| constructor
void | setOurAETitle (const char *ae)
| set the AEtitle under which this application operates
void | callbackHandler (OFBool cancelled, T_DIMSE_C_FindRQ *request, DcmDataset *requestIdentifiers, int responseCount, T_DIMSE_C_FindRSP *response, DcmDataset **responseIdentifiers, DcmDataset **stDetail)
| callback handler called by the DIMSE_storeProvider callback function.

## Private Attributes
DcmQueryRetrieveDatabaseHandle & | dbHandle
| reference to database handle
const DcmQueryRetrieveOptions & | options_
| reference to Q/R service options
DIC_US | priorStatus
| prior DIMSE status
OFString | ourAETitle
| our current title
const DcmQueryRetrieveCharacterSetOptions & | characterSetOptions
| Specific Character Set related options.

## Detailed Description

this class maintains the context information that is passed to the callback function called by DIMSE_findProvider.

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveFindContext()

DcmQueryRetrieveFindContext::DcmQueryRetrieveFindContext | ( | DcmQueryRetrieveDatabaseHandle & | handle,
|  | const DcmQueryRetrieveOptions & | options,
|  | DIC_US | priorStat,
|  | const DcmQueryRetrieveCharacterSetOptions & | charSetOptions )
| inline

constructor

Parameters

  handle | reference to database handle
  options | options for the Q/R service
  priorStat | prior DIMSE status

References characterSetOptions, dbHandle, options_, ourAETitle, and priorStatus.

## Member Function Documentation

## ◆ callbackHandler()

void DcmQueryRetrieveFindContext::callbackHandler | ( | OFBool | cancelled,
|  | T_DIMSE_C_FindRQ * | request,
|  | DcmDataset * | requestIdentifiers,
|  | int | responseCount,
|  | T_DIMSE_C_FindRSP * | response,
|  | DcmDataset ** | responseIdentifiers,
|  | DcmDataset ** | stDetail )

callback handler called by the DIMSE_storeProvider callback function.

Parameters

  cancelled | (in) flag indicating whether a C-CANCEL was received
  request | original find request (in)
  requestIdentifiers | original find request identifiers (in)
  responseCount | find response count (in)
  response | find response (out)
  responseIdentifiers | find response identifiers (out)
  stDetail | status detail for find response (out)

## ◆ setOurAETitle()

void DcmQueryRetrieveFindContext::setOurAETitle | ( | const char * | ae | ) |
| inline

set the AEtitle under which this application operates

Parameters

  ae | AEtitle, is copied into this object.

References ourAETitle.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbf.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2